unit uIEditorExportacionNorma32;

interface

type
  IEditorExportacionNorma32 = interface
    ['{84B46A6B-5791-4E30-9ED0-2DDBCC84F353}']

    procedure SetCodigoEntidad(const AValue: Integer);
    function GetCodigoEntidad : Integer;
    property CodigoEntidad : Integer read GetCodigoEntidad write SetCodigoEntidad;

    procedure SetCodigoAgencia(const AValue: Integer);
    function GetCodigoAgencia : Integer;
    property CodigoAgencia : Integer read GetCodigoAgencia write SetCodigoAgencia;

    procedure SetFechaCargo(const AValue: TDateTime);
    function GetFechaCargo : TDateTime;
    property FechaCargo : TDateTime read GetFechaCargo write SetFechaCargo;

    procedure SetFichero(const AValue: String);
    function GetFichero : String;
    property Fichero : String read GetFichero write SetFichero;

    function GetCodigoINE: String;
    procedure SetCodigoINE(const Value: String);
    property CodigoINE : String read GetCodigoINE write SetCodigoINE;

    procedure SetCodigoIdentif(const Value: String);
    function GetCodigoIdentif: String;
    property CodigoIdentif : String read GetCodigoIdentif write SetCodigoIdentif;

    function ShowModal : Integer;
    procedure Release;
  end;

implementation

end.

end.
